uniform sampler2D baseMap;
uniform float light;

varying vec3 Positon;
varying vec2 Texcoord;
varying vec3 Normal;
varying vec3 Light;

void main( void )
{
	vec3 diff = Light-Positon;
	float att = 1.0-(length(diff)/(light*250.0));
	float lambert = dot(normalize(diff),normalize(Normal));

    gl_FragColor = vec4(0.5)*texture2D( baseMap, Texcoord )*vec4(att);//*lambert);
}